CompoundScheduleProxy (TreeSched API)
Keywords: org.treesched.ant.CompoundScheduleProxy class

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.treesched.ant
Class CompoundScheduleProxy

    java.lang.Object
      org.treesched.ant.CompoundScheduleProxy

All Implemented Interfaces:
  org.apache.tools.ant.DynamicConfigurator

public class CompoundScheduleProxy
extends java.lang.Object
implements org.apache.tools.ant.DynamicConfigurator

When configuring a `CompoundSchedule` in an Ant build file it's necessary to have this Element class to set properties of the on of the schedules of the parent.

Author:
  Rob Gordon.
See Also:
  `BrokenSchedule`

Constructor Summary
`CompoundScheduleProxy(Schedule schedule, java.lang.String name)` Constructor.

Method Summary
`java.lang.Object` | `createDynamicElement(java.lang.String name)`
`void` | `setDynamicAttribute(java.lang.String name, java.lang.String value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CompoundScheduleProxy

    public CompoundScheduleProxy(Schedule schedule,
                                 java.lang.String name)

  Constructor.

Parameters:
  `schedule` - The parent schedule we're setting properties on.
  `name` - The name of the element which contains the schedule.

Method Detail

### setDynamicAttribute

    public void setDynamicAttribute(java.lang.String name,
                                    java.lang.String value)
                             throws org.apache.tools.ant.BuildException

  Specified by:
    `setDynamicAttribute` in interface `org.apache.tools.ant.DynamicConfigurator`
  Throws:
    `org.apache.tools.ant.BuildException`

### createDynamicElement

    public java.lang.Object createDynamicElement(java.lang.String name)
                                          throws org.apache.tools.ant.BuildException

  Specified by:
    `createDynamicElement` in interface `org.apache.tools.ant.DynamicConfigurator`
  Throws:
    `org.apache.tools.ant.BuildException`

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD